# synfig::ValueNode_BLine Class Reference

`#include <valuenode_bline.h>`

Inheritance diagram for synfig::ValueNode_BLine:

List of all members.

## Public Types

typedef etl::handle < ValueNode_BLine > | Handle
typedef etl::handle< const ValueNode_BLine > | ConstHandle

## Public Member Functions

| ValueNode_BLine ()
virtual ValueBase | operator() (Time t) const
| Returns the value of the ValueNode at time t.
virtual | ~ValueNode_BLine ()
virtual String | link_local_name (int i) const
virtual String | get_name () const
| Returns the name of the ValueNode type.
virtual String | get_local_name () const
| Returns the localized name of the ValueNode type.
virtual ListEntry | create_list_entry (int index, Time time=0, Real origin=0.5)

## Static Public Member Functions

static bool | check_type (ValueBase::Type type)
static ValueNode_BLine * | create (const ValueBase &x=ValueBase::TYPE_LIST)

## Protected Member Functions

LinkableValueNode * | create_new () const

## Detailed Description

Todo:
  This needs to be documented further.

## Member Typedef Documentation

typedef etl::handle<ValueNode_BLine> synfig::ValueNode_BLine::Handle

Reimplemented from synfig::ValueNode_DynamicList.

typedef etl::handle<const ValueNode_BLine> synfig::ValueNode_BLine::ConstHandle

Reimplemented from synfig::ValueNode_DynamicList.

## Constructor & Destructor Documentation

ValueNode_BLine::ValueNode_BLine | ( |  | ) |

Referenced by create(), and create_new().

ValueNode_BLine::~ValueNode_BLine | ( |  | ) | `[virtual]`

## Member Function Documentation

ValueBase ValueNode_BLine::operator() | ( | Time |  | ) | const`[virtual]`

Returns the value of the ValueNode at time t.

Reimplemented from synfig::ValueNode_DynamicList.

References _, synfig::Time::begin(), synfig::Time::end(), EPSILON, f, synfig::ValueNode_DynamicList::get_loop(), synfig::BLinePoint::get_origin(), synfig::BLinePoint::get_split_tangent_flag(), synfig::BLinePoint::get_tangent1(), synfig::BLinePoint::get_tangent2(), synfig::BLinePoint::get_vertex(), synfig::BLinePoint::get_width(), INTERP_FUNCTION, linear_interpolation(), synfig::ValueNode_DynamicList::list, synfig::Vector::perp(), radial_interpolation(), synfig::BLinePoint::set_origin(), synfig::BLinePoint::set_split_tangent_flag(), synfig::BLinePoint::set_tangent1(), synfig::BLinePoint::set_tangent2(), synfig::BLinePoint::set_vertex(), synfig::BLinePoint::set_width(), transform_coords(), untransform_coords(), synfig::warning(), synfig::Vector::zero(), and zero().

String ValueNode_BLine::link_local_name | ( | int | i | ) | const`[virtual]`

Reimplemented from synfig::ValueNode_DynamicList.

References _, and synfig::ValueNode_DynamicList::list.

String ValueNode_BLine::get_name | ( |  | ) | const`[virtual]`

Returns the name of the ValueNode type.

Reimplemented from synfig::ValueNode_DynamicList.

String ValueNode_BLine::get_local_name | ( |  | ) | const`[virtual]`

Returns the localized name of the ValueNode type.

Reimplemented from synfig::ValueNode_DynamicList.

References _.

ValueNode_BLine::ListEntry ValueNode_BLine::create_list_entry | ( | int | index,
|  | Time | time = `0`,
|  | Real | origin = `0.5` |
| ) |  |  | `[virtual]`

Reimplemented from synfig::ValueNode_DynamicList.

References synfig::ValueNode_Composite::create(), synfig::ValueNode_DynamicList::find_next_valid_entry(), synfig::ValueNode_DynamicList::find_prev_valid_entry(), synfig::BLinePoint::get_tangent1(), synfig::BLinePoint::get_tangent2(), synfig::BLinePoint::get_vertex(), synfig::BLinePoint::get_width(), synfig::ValueNode_DynamicList::ListEntry::index, synfig::ValueNode_DynamicList::link_count(), synfig::ValueNode_DynamicList::list, synfig::BLinePoint::set_origin(), synfig::ValueNode_DynamicList::ListEntry::set_parent_value_node(), synfig::BLinePoint::set_split_tangent_flag(), synfig::BLinePoint::set_tangent1(), synfig::BLinePoint::set_tangent2(), synfig::BLinePoint::set_vertex(), synfig::BLinePoint::set_width(), and synfig::ValueNode_DynamicList::ListEntry::value_node.

LinkableValueNode * ValueNode_BLine::create_new | ( |  | ) | const`[protected, virtual]`

Reimplemented from synfig::ValueNode_DynamicList.

References ValueNode_BLine().

bool ValueNode_BLine::check_type | ( | ValueBase::Type | type | ) | `[static]`

Reimplemented from synfig::ValueNode_DynamicList.

References synfig::ValueBase::TYPE_LIST.

ValueNode_BLine * ValueNode_BLine::create | ( | const ValueBase & | x = `ValueBase::TYPE_LIST` | ) | `[static]`

References synfig::ValueNode_DynamicList::add(), synfig::ValueNode_Const::create(), synfig::ValueNode_Composite::create(), CURR_POINT, synfig::ValueBase::empty(), FIRST_POINT, synfig::ValueBase::get_contained_type(), synfig::ValueBase::get_list(), synfig::ValueBase::get_loop(), synfig::ValueBase::get_type(), PREV_POINT, synfig::ValueNode_DynamicList::set_loop(), synfig::BLinePoint::set_origin(), synfig::BLinePoint::set_split_tangent_flag(), synfig::BLinePoint::set_tangent1(), synfig::BLinePoint::set_tangent2(), synfig::BLinePoint::set_vertex(), synfig::BLinePoint::set_width(), synfig::ValueBase::TYPE_BLINEPOINT, synfig::ValueBase::TYPE_LIST, synfig::ValueBase::TYPE_SEGMENT, and ValueNode_BLine().

The documentation for this class was generated from the following files:

- valuenode_bline.h
- valuenode_bline.cpp